This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 219540 - glest not playable at powerpc-arch
glest not playable at powerpc-arch
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: glest (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2006-12-13 16:08 EST by Peter Lemenkov
Modified: 2012-01-13 14:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-13 14:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2006-12-13 16:08:09 EST
Description of problem: it simply locks up screen then I start game


Version-Release number of selected component (if applicable):

glest.ppc                                2.0.0-2.fc6
glest-data.noarch                        2.0.0-2.fc6

How reproducible: always


Steps to Reproduce:
1. start glest
2. screen switches to black immediately and mouse pointer is gone
3. ctrl+alt+bcksp returns me to login window
  

Additional info: someone mentions about troubles with PowerPC in README.linux

======================================

1. System requirements
Developed on Linux with glibc, little endian cpu. The game does currently not
work on big endian cpus like ppc.

======================================
Comment 1 Aurelien Bompard 2006-12-14 09:51:41 EST
For the moment I'll ExcludeArch ppc. Thanks for the report.
Comment 2 David Woodhouse 2006-12-15 09:35:52 EST
Strace shows that the game appears to be in an endless loop reading from a TGA
file. 

read(7, "", 65536)                      = 0
read(7, "", 65536)                      = 0
read(7, "", 65536)                      = 0
read(7, "", 65536)                      = 0
read(7, "", 65536)                      = 0

This kind of behaviour is often caused by using 'char foo = getchar()' and then
comparing the 'foo' variable with -1. But getchar() returns an _int_, because on
some platforms (like PowerPC) char is _unsigned_ by default. And can never
return -1; thus we never realise we've hit the end of the file.

ExcludeArch: ppc is a reasonable step in the _short_ term, but please make sure
it doesn't last for too long. I can provide help with issues which are _really_
architecture-specific rather than just bad code like the above example. And I
can provide access to PowerPC machines for building (although testing may be
harder since it seems to need 3D; hence local access).
Comment 4 David Woodhouse 2006-12-15 10:48:09 EST
I've applied a patch based on the one found at
http://www.glest.org/forum/viewtopic.php?t=1426

Now I get this:
Exception: Your system supports OpenGL version "1.2 (1.5 Mesa 6.5.1)"
Glest needs at least version 1.3 to work
You may solve this problem by installing your latest video card drivers

You might get it working on rawhide. What legal drivers in Fedora does it work
with? 

http://david.woodhou.se/glest-2.0.0-3.fc6.endian.1.ppc.rpm
http://david.woodhou.se/glest-cvs-incomplete-be-enabling.patch
Comment 6 Peter Lemenkov 2007-04-04 14:46:02 EDT
With latest patch from the Emanuel Steen (i modified it a little) it starts at
least.

http://lemenkov.googlepages.com/glest-cvs20070102-endian.patch

Although I still can't start game because of strange errors:

=============================================

[petro@Sulaco .glest]$ ./glest
void Shared::Platform::Window::setStyle(Shared::Platform::WindowStyle) not
implemented.
libGL warning: 3D driver claims to not support visual 0x4b
open /dev/[sound/]dsp: Device or resource busy
Exception: Couldn't open audio device.
OpenAL Vendor: [petro@Sulaco .glest]$ 
[petro@Sulaco .glest]$ 
[petro@Sulaco .glest]$ ./glest
void Shared::Platform::Window::setStyle(Shared::Platform::WindowStyle) not
implemented.
libGL warning: 3D driver claims to not support visual 0x4b
Couldn't process event: Mouse Button > 3 not handled.
Couldn't process event: Mouse Button > 3 not handled.
Couldn't process event: Node "camera" doesn't have 1 children named 
"custom-game-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"custom-game-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"scenario-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"scenario-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"scenario-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"scenario-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"custom-game-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"custom-game-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"custom-game-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"scenario-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
Couldn't process event: Node "camera" doesn't have 1 children named 
"custom-game-position"

Tree: camera (start-position root-position about-position config-position
info-position settings-position start-rotation root-rotation about-rotation
config-rotation info-rotation settings-rotation ) 
[petro@Sulaco .glest]$

=============================================

All these messages about "Tree: camera... " comes then I tried to start game.
Comment 7 Florian La Roche 2007-08-12 02:44:08 EDT
I've checked in a change for the spec file to read:
ExcludeArch:    ppc ppc64

A "," is not parsed for arch excludes in the specfile.

regards,

Florian La Roche
Comment 8 Bug Zapper 2008-04-04 01:14:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 21:03:05 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 10 Peter Lemenkov 2008-05-20 04:40:41 EDT
Reopening this bug since this issue still needs toi be fixed.
Comment 11 Bruno Wolff III 2009-08-22 21:48:03 EDT
ppc builds have been turned off for a long time and I'd like to have someone who can, retest to see if ppc builds are still unplayable.
3.2.2 is available for ppc/ppc64 in rawhide.
Comment 12 Phil Knirsch 2012-01-13 14:56:18 EST
Closing due to inactivity.

Feel free to reopen if problem still exists.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.